Bug 1564042 - increased CPU load with CFME 5.9 in hawkular
Summary: increased CPU load with CFME 5.9 in hawkular
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Yaacov Zamir
QA Contact: brahmani
URL:
Whiteboard:
Depends On:
Blocks: 1578123
TreeView+ depends on / blocked
 
Reported: 2018-04-05 08:00 UTC by Gellert Kis
Modified: 2019-02-11 14:05 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578123 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:05:40 UTC
Category: Inquiry
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)
hawkular_force_legacy (246.56 KB, application/x-gzip)
2018-07-11 08:58 UTC, brahmani
no flags Details

Comment 13 Bronagh Sorota 2018-04-10 16:07:44 UTC
After speaking to Dennis, it looks like this is a Provider issue.

Comment 23 brahmani 2018-07-11 08:58:08 UTC
Created attachment 1458024 [details]
hawkular_force_legacy

Verified on 5.10.0.3.20180705151325_ce4d2b5.

Please pay attention that on CF 4.7\5.10 the parameter hawkular_force_legacy default value is true, which means CF doing the metrics process,
Unlike on CF 4.6\5.9 wich, the parameter hawkular_force_legacy default value was false.

tested it with parameter hawkular_force_legacy value set to true & false and the CPU load of hawkular pod is around 0.2 cores.


Note You need to log in before you can comment on or make changes to this bug.